curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/funding_events/simulate \
--header 'Content-Type: application/json' \
--data '{
"funding_event_job_type": "charges"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Simulate a funding event for testing. This endpoint can only be used in the sandbox environment.
curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/funding_events/simulate \
--header 'Content-Type: application/json' \
--data '{
"funding_event_job_type": "charges"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40Supported job types are Charges and Payouts
charges, payouts Payment will simulate processing if not Standard.
standard, paid, on_hold_daily_limit, cancelled_for_fraud_risk, cancelled_for_balance_check, failed_insufficient_funds, reversed_insufficient_funds, failed_customer_dispute, reversed_customer_dispute, failed_closed_bank_account, reversed_closed_bank_account Created
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?